# 小册食用指南

这本小册涉及的内容十分广，在这里我提供了一份小册的**食用指南**，帮助你更好地阅读小册。

无论是你刚刚开始学习小册还是想复习小册内容，这份食用指南都能很好地帮助到你。

## 购买前警告⚠️

- 此小册不适合完全没有前端基础的人阅读，需要各位掌握基本的 HTML、JS，担心小册质量或者是内容是否适合自己的，请先浏览试读章节再做购买决定
- 小册还在预售中，所以内容是还没有完结的，但是大家不需要担心作者是否会跑路的问题。因为小册没有完结之前，钱都是在掘金手里的，只有当完结内容才会和作者结账。
- 此小册不会让你的技术一蹴而就，直接从三线公司跳到一线大厂，想进大公司必定是需要个人实力足够才行，当然小册的内容应付一般的公司完全没什么问题。

## 发售福利

**当下预售售价为 39.9 元，小册完结后将会提价到 49.9 元**

欢迎大家在交流群中多交流学习及面试相关的内容，目前群内交流气氛很浓厚，通过交流可以了解到很多面试相关的内容。

![](https://user-gold-cdn.xitu.io/2018/12/23/167d9f9781c40192?w=761&h=225&f=jpeg '加群途径')

## 内容

在今年，我搜集了各大公司的面试题，有自己去面试获得的，也有身边的朋友分享给我的。我一直认为，**面向题目应对面试是没什么大的帮助的**，即使有，也只是**治标不治本**。

因为每道面试题背后都会涉及到几个**知识点**，如果我们能够**扎实**地学习这些知识点的话，那么无论题目怎么变，只要涉及的知识点不变，那我们就能**以不变应万变**。

所以，我将这些收罗到的面试题背后所涉及的知识点一一**提炼**出来，并整理出了**常考**的知识点。当然小册所涉及的内容远远不止常考的知识点，还包罗了一部分我认为重要的知识点（虽然考的不多）、面试技巧和学习资料。

总的来说，整本小册涉及到了**十四**个模块，每一模块中又包含了许许多多的知识点。每一模块都自成体系但是又会与其他模块中的内容有交集。比如说浏览器、Webpack、网络协议这几个模块中涉及到的部分内容和性能优化模块是相互关联的。

如果你是**刚刚**开始阅读小册的内容，可以根据自己的薄弱点，**对症下药**，学习相应的模块。但是学习单个模块中的内容时不推荐跳着阅读，因为很可能后面的内容与之前的有所联系，没有理解之前的知识点的话，可能会对后续的学习会造成困扰。

在你学习的过程中，我又给大部分的知识点提供了 **1 - 3** 道面试题，你可以通过学习知识点的方式尝试自己去攻克面试题。当你学习完整个模块后，我又提供了几道思考题，帮助你检验自身的学习成果，**查漏补缺**。

小册的内容会**持续的更新（更新日志都放在首页）**，毕竟面试涉及的知识点很广，内容可能会存在勘误或者不清楚的地方，并且前端技术更新很快，我会尽可能的让小册内容符合当下最新的技术。**可预见的是 Vue 3.0 更新以后，小册中关于 Vue 的内容势必也会更新**。如果你是在非官方渠道阅读到这本小册的话，为了你学习到的内容符合当下，你可以选择 [支持正版，购买小册](https://juejin.im/book/5bdc715fe51d454e755f75ef?referrer=574f8d8d2e958a005fd4edac)。

最后，学习知识一定要配合**实践**，没有实践的知识是没有**灵魂**的。另外，碍于篇幅，我不可能深挖每个知识点，所以推荐大家去尝试挖掘我没有涉及到的内容。

## 思考题

在大部分的模块内容结束后，我都提供了几道思考题。虽然每道思考题通过题意我们可能只能理解到背后所考的 1 - 2 个知识点，但是其实很多知识点是有**串联**关系的。

在面试过程中，如果经常和面试官出现**一问一答**的情况的话，其实是不够理想的。虽然一道面试题看起来只涉及了一个知识点，但是如果你脑海中的知识点是串联起来的话，就可以**引申**出其他的知识点，这样能给到面试官一个好的印象。

每道思考题我都给出了一些个人的**思路引导**，帮助大家建立起知识点之间的串联关系，彻底理解这个模块中所涉及到的知识点。

## 记录与分享

我个人写博客已经持续了三年了。写博客是一个很好的习惯，一方面能**帮助自己理解知识**，另一方面也能**打造个人的影响力**，所以我也很推荐大家能养成这个习惯。

为了推动大家更有动力的去记录与分享，我后面会单独用一个章节的内容去存放我认为写的不错的博客。如果你想对知识点有所记录，或者分享解答面试题、思考题的个人理解，都可以在评论中给出你的分享地址。我都会**认真**地去阅读，挑选出好的内容**单独**放入一个章节中，这样就有更多的人能看到你的分享。



最后，这本小册不一定能让你在很短的时间内就让你的技术一夜突飞猛进，但是如果你能**细细阅读**的话，绝对能让你醍醐灌顶。好了，食用指南结束了，接下来让我们进入小册的**知识海洋**吧。