# 如何写好一封简历

简历不是一份记流水账的东西，而是让用人方了解你的亮点的。

平时有在做修改简历的收费服务，也算看过蛮多简历了。很多简历都有以下几个特征：

- 喜欢说自己的特长、优点，用人方真的不关注你的性格是否阳光等等
- 喜欢列举一大堆个人技能，生怕用人方不知道你会些什么，造成的结果就是好多简历的技能都是差不多
- 项目经验流水账，比如使用了什么框架，什么 API 做了什么业务
- 简历页数过多

以上类似简历可以说用人方也看了无数份，完全抓不到你的亮点。

简历其实就是**推销**自己，如果你的简历和别人千篇一律，没有亮点，用人方就不会对你产生兴趣。

以下是我经常给别人修改简历的意见：

- 简历页数控制在 **2 页**以下
- 技术名词注意**大小写**
- **突出个人亮点**。比如在项目中如何找到 Bug，解决 Bug 的过程；比如如何发现的性能问题，如何解决性能问题，最终提升了多少性能；比如为何如此选型，目的是什么，较其他有什么优点等等。总体思路就是不写流水账，**突出你在项目中具有不错的解决问题的能力和独立思考的能力**
- **斟酌**熟悉、精通等字眼，不要给自己挖坑
- 确保每一个写上去的技术点自己都能说出点什么，杜绝面试官问你一个技术点，你只能答出会用 API 这种减分的情况
- 拿**事实**说话。你说你学习能力强，那么请列举你能力强的事实；你说你成绩好，那么请写出你专业的排名

做到以上内容，然后在投递简历的过程中加上一份**求职信**，对你的求职之路相信能帮上很多忙，当然了，一般来说我推荐尽量走**内推**通道投递简历。在网上多花点心思就能找到很多内推，比如 V2EX、脉脉等等。

说了这么多，我们还是实战来修改一封简历吧，该简历的作者是一名**两年**经验的前端开发，关键信息已经全部隐去。

![](https://user-gold-cdn.xitu.io/2018/12/24/167de542df7873eb?w=1435&h=890&f=jpeg&s=196443)

这算是简历最先被别人看到的地方，最黄金的广告位必然要放自己**最闪亮**的东西。

比如你是 985、211 毕业的，有不错的成绩、专业排名都可以在这个位置暴露出来。但是如果你学历并不怎么好，可以考虑把教育经历移到简历的最后，尽量把这块黄金位置让出来。

然后个人优势这块，一般来说就是个人技能。首先杜绝任何精通的字眼，因为百分之 99 的人都做不到精通，如果你真的精通了，就是一堆工作找你了。一般来说在个人技能这个区域我推荐写上几个前端必备的技能就可以了，然后根据投递的公司可以选择性的添加几个对方需求且自己也会的技能栈，最后个人技能这块内容同样也可以调整到简历的后半部分，没有必要占据一大块的简历第一页内容。

![](https://user-gold-cdn.xitu.io/2018/12/24/167de54453d6180b?w=1472&h=860&f=jpeg&s=206145)

这封简历的工作经历这块写的基本没有什么问题，大家在写这一部分的时候需要注意以下几点：

- 在工作中有什么不错的结果都可以在这一块表现出来，比如文中的绩效前端小组 7 人最好等等
- 在工作中解决过什么很困难的问题也可以在这里提一下
- 最后需要注意一点，以上划红线的内容可能会被面试官问到，要做到心中有数，知道该如何回答，否则还不如不写。就比如说简历中写到了使用了新的架构节省了开发时间，那么这个架构是怎么样的，你对这个架构有什么看法等等这些问题都可能会被问到，要准备好一个通用的回答。

![](https://user-gold-cdn.xitu.io/2018/12/24/167de545607efb92?w=1453&h=908&f=jpeg&s=210042)

这封简历的工作经历这块写的就触及到很多我之前提到过的问题了。

首先两个项目的经验介绍都很流水账，都是属于使用了某某技术实现了某某功能。如果写简历的时候实在想不出平时工作中有遇到什么困难或者解决了什么问题的话，就要确保以上写到的技术栈都能很好的回答出来。

以上划红线的地方可能都会是面试官会重点提问的技术栈。

其实一封简历写的好，一般需要做到以下两点：

- 你让用人方了解到你比其他候选者强
- 不过分夸大，确保简历里写的每一个技术点都心中有数

毕竟简历写的很华丽，只是敲开了公司的第一扇门，如果过分夸大了事实，那么其实就是浪费双方的时间了。

大家在写简历的时候可以多多注意以上我提到的几个点，然后在写完以后找出简历中涉及到的所有技术点，并且确保自己能够说个所以然，这样简历这关就没什么问题了。