 # 面试常用技巧
 
 这一章节我会介绍一些面试中常用的一些技巧，这些技巧可以帮助大家更好的准备面试，提高面试成功率。
 
 ## 尽早准备简历
 
 找工作的第一个重要问题就是写简历了，简历就是一个人的门面。简历写的不好，用人方也没有多大兴趣再深入了解你，毕竟行业人太多了。
 
 很多人都会有一个问题就是：**不知道简历该写啥**。其实我很不推荐当要面试的时候才去写简历，因为很多人没有记录的习惯，当去写简历的时候才会发现，在公司呆了那么久好像记不得自己做了哪些东西了。
 
 所以简历应该是经常去更新的，隔几个月去更新一次简历，了解自己这几个月以来的成长在哪里，结果是什么。
 
 ## 分批投递简历
 
 当我们准备投递简历的时候，应该先把想投递的几个公司分出几个档次。先投递档次最低的，就算失败了，也就当在攒经验。这样多面几次，把握大了就可以开始投递更加心仪的公司了，增加成功几率。
 
 ## 如何粗略判断公司是否靠谱
 
 毕竟不是每个人都能去大公司的，所以分辨一个公司是否靠谱是相当重要的，这关系到过来几个月甚至几年的职业道路。
 
 首先一家公司所涉足的行业是很重要的，如果你去一家做社交的公司，很大程度上会以失败而告终。我个人认为目前教育、新能源、生鲜、医疗、数据这几个行业前景不错，当然这只是个人观点**仅做参考**。
 
 然后我们还得了解一家公司的情况，这里我推荐使用「天眼查」去查询一家公司的信息。在这里我们可以查询到一家公司的几个重要指标
 
 - 具体的一个**融资**情况，一家公司好不好，拥有的资本肯定是重要的一块。一家不错的公司，往往前期融到的金额就很高
 - **核心团队**的介绍，通过介绍我们可以了解到高管的一个教育背景，行业的经验等等
 - 公司涉及到了哪些**司法、经营上的风险**
 
 然后还可以在网上查询一下这家公司是否有拖欠工资等等**负面**的消息。
 
 ## 如何回答问题

尽量不要止步于问题，也就是面试官问什么你答什么，而是把回答的点**发散**出去，**引导**面试官提问，展示自己的水平。

比如说面试官提问了一个通过 DNS 查找 IP 过程的一个问题。那么在回答好这个问题的同时，可以指出获得 IP 以后就会发生 TCP 三次握手等等的情况，然后就可以引导面试官提问网络协议相关的问题了。

当然引导面试官的前提是你确实熟悉这一块的内容，否则就是给自己挖坑了。

**很推荐大家在准备面试的过程中，挖掘出自己擅长的技术内容，然后在面试的过程中，寻找机会引导面试官提问你擅长的技术点。**

最后需要注意一点，如果你不能很好的理解面试官的提问，最好先**弄明白**面试官到底想问什么，而不是直接回答问题导致出现文不对题的情况。

 ## 如何应对可能答不好的题目
 
 假如你遇到了一道不会的题目，但是稍微有一点想法，你可以先坦白说这道题目不怎么会，但是愿意尝试回答一下，这样即使回答错了，也不会有什么问题。
 
 但是千万不要不懂装懂，弄巧成拙。
 
 ## 多反思
 
 一场面试结束以后，尽快的将面试中遇到的问题记录下来，然后**复盘**整个面试。
 
 对于涉及到的题目，可以查询下资料验证自己是否答错了，如果答错了，就应该把这个知识漏洞补起来。
 
 如果知识点答对了，但是语言组织的不好，那么就需要重新组织下措辞和表达方式。
 
 ## 谈钱
 
 我一直认为**到手**的才是真的，当然老板的大饼有时候也会梦想成真，但是这个更多的就是看个人机遇了，可遇不可求，大部分人还是应该追求到手的这一部分，在薪资满意的情况下，再去追求期权这类东西。
 
 在面试之前应该想好自己想要的薪资，然后在和 HR 谈论工资的时候提高百分之 10 - 15的样子，便于别人压价，因为大部分人是没有谈判能力的。然后跳槽的薪资涨幅应该是你当下的百分之 15 以上，这样才能对冲跳槽带来的一个风险，当然如果你实在很想去这家公司的话，那么薪资就另谈了。
 
 在和 HR 讨论待遇的时候，应该问清楚以下几点
 
 - 具体的工资（也就是合同上签订的工资），不要杂七杂八什么绩效加起来的那种
 - 五险一金缴纳的比例
 - 加班是否有加班工资或者调休
 - 是否是 996，我个人很不推荐 996 的公司
 - 加薪升职的情况
 - 其他各种福利，比如餐补、房补、交通补、节假日福利、另外的保险等等